For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTCreate Order
      • GETGet Orders
      • GETGet Order
      • GETGet Shipment
      • GETGet Shipment Timeline
      • POSTBatch Cancel Shipments
      • POSTMark Tracking Uploaded
      • POSTEstimate Delivery Date
        • POSTEstimate Fulfillment Cost For Order
        • PUTUpdate Shipment Address
        • GETGet Shipment Line Items
        • POSTUpdate Shipment Line Items
        • PUTBulk Update Shipping Service
        • POSTCancel Order
        • POSTCancel Shipment
        • GETGet Shipping Methods
        • GETGet Shipment Status Timeline by Order ID and Shipment ID
        • GETGet All Shipments for Order
        • GETGet Shipment Logs by Order ID and Shipment ID
        • POSTCancel Shipment by Order ID and Shipment ID
        • GETGet Shipment Logs
        • GETGet Shipment by Order ID and Shipment ID
        • GETGet Order Store Data
        • GETGet Completely Cancelled Orders
    • OpenAPI spec
LogoLogo
API ReferenceOrdersAdditional

Get Shipping Methods

||View as Markdown|
GET
/2026-01/shipping-method
GET
/2026-01/shipping-method
$curl https://api.shipbob.com/2026-01/shipping-method \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "active": true,
4 "default": true,
5 "id": 0,
6 "name": "string",
7 "service_level": {
8 "id": 0,
9 "name": "string"
10 }
11 }
12]
Retrieves all available shipping methods configured for your merchant account.
Was this page helpful?
Previous

Cancel Shipment

Next

Get Shipment Status Timeline by Order ID and Shipment ID

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token or OAuth2

Query parameters

PageintegerOptional0-2147483647
Page of orders to get
LimitintegerOptional1-250
Amount of records per page to request

Response

Success
activeboolean
Indicates if the shipping method is active
defaultboolean
Indicates the shipping method is a ShipBob default shipping method.
idinteger
Unique id for shipping method.
namestring or null

Name of the ship method as selected by the merchant and saved in ShipBob’s database (i.e. “ground”). Corresponds to the shipping_method field in the Orders API.

service_levelobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error